• Community
  • Products
  • Confluence
  • Questions
  • After Confluence upgrade from 3.4.9 -> 3.5.13 ->4.3 .I'm getting the following error "Error rendering macro 'include' : The body of this ContentEntityObject ('Top_Menu') was 'BodyType:WIKI' but was expected to be 'BodyType:XHTML'"

After Confluence upgrade from 3.4.9 -> 3.5.13 ->4.3 .I'm getting the following error "Error rendering macro 'include' : The body of this ContentEntityObject ('Top_Menu') was 'BodyType:WIKI' but was expected to be 'BodyType:XHTML'"

The error message is visible on top of each page and when i edit the page i'm able to see the blank page with no content and no edit and preview buttons.

Can any one help in this regard.

1 answer

This widget could not be displayed.

Howdy Vijay!

As of Confluence 4.0, User Macros must be in XHTML format. Here are instructions on migrating existing Wiki Confluence Macros to XHTML.

Cheers,

Stephen Brannen | Confluence Support

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Monday in Confluence

Why start from scratch? Introducing four new templates for Confluence Cloud

Hi my Community friends!  For those who don't know me, I'm a product marketer on the Confluence Cloud team - nice to meet you! For those of you who do, you know that I've been all up in your Co...

464 views 6 6
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you